Page MenuHomePhabricator

Fix localization of https://meta.wikimedia.org/wiki/Huggle/Download
Closed, ResolvedPublic

Description

I don't really understand the extremely complex syntax of localization framework for mediawiki, but whoever knows how it work could probably help here.

When I switch to different languages (like cs) I see lot of text highlighted to red color and pointing to obsolete Huggle versions.

Event Timeline

Petrb created this task.Jun 6 2018, 9:40 AM
Restricted Application added subscribers: RichSmith, Aklapper. · View Herald TranscriptJun 6 2018, 9:40 AM

The red highlight means that the highlighted text is outdated. I think we can make the most current text appear, even if it is in English (cc @Kaganer and @Base, the experts here).

Petrb triaged this task as High priority.Jun 10 2018, 4:53 PM

OK but why is it outdated? Isn't there a way to make it auto-update? Parts of english text are changed with every release (the actual version number).

Petrb added a comment.Jun 10 2018, 4:58 PM

I made the version transcluded from {{Huggle/Version}} so now text shouldn't change even with releases

Petrb added a comment.Jun 10 2018, 4:59 PM

BTW if it's not possible to fix this, I would rather have the localization of that page entirely disabled as it points people to old versions of Huggle, which is much worse than download page in English only

Vvjjkkii renamed this task from Fix localization of https://meta.wikimedia.org/wiki/Huggle/Download to 1jbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: MarcoAurelio, Aklapper.
RichSmith renamed this task from 1jbaaaaaaa to Fix localization of https://meta.wikimedia.org/wiki/Huggle/Download.Jul 1 2018, 6:45 AM
RichSmith updated the task description. (Show Details)
RichSmith added subscribers: MarcoAurelio, Aklapper.

I made some tweaks to the page today. I'll poke ask some people on Meta to have a look at the translation code and if they find something that needs to be fixed. Thank you.

Petrb closed this task as Resolved.Dec 10 2018, 9:42 PM
Petrb claimed this task.